%define upstream_name    HTML-Element-Extended
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Tables as easy HTML element structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Element)
BuildArch: noarch

%description
Provides a way to graft raw HTML strings into your HTML::Element(3)
structures. Since they represent raw text, these can only be leaves in your
HTML element tree. The only methods that are of any real use in this
degenerate element are push_content() and as_HTML(). The push_content()
method will simply prepend the provided text to the current content. If you
happen to pass an HTML::element to push_content, the output of the
as_HTML() method in that element will be prepended.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.180.0-10.mga9
+ Revision: 1803924
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.180.0-9.mga8
+ Revision: 1494853
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.180.0-8.mga7
+ Revision: 1268481
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.180.0-7.mga6
+ Revision: 1028214
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.180.0-6.mga6
+ Revision: 945855
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-5.mga5
+ Revision: 750851
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-4.mga5
+ Revision: 684929
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.180.0-3.mga4
+ Revision: 511966
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 367994
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 29 2011 jquelin <jquelin> 1.180.0-1.mga2
+ Revision: 136036
- imported package perl-HTML-Element-Extended


* Mon Aug 29 2011 cpan2dist 1.18-1mga
- initial mageia release, generated with cpan2dist
